Sync Project to SCM
curl --request POST \
--url https://api.example.com/api/agent/deployments/{deploymentId}/repos/{repoId}/_sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"repoId": "<string>"
}
'import requests
url = "https://api.example.com/api/agent/deployments/{deploymentId}/repos/{repoId}/_sync"
payload = {
"deploymentId": "<string>",
"repoId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deploymentId: '<string>', repoId: '<string>'})
};
fetch('https://api.example.com/api/agent/deployments/{deploymentId}/repos/{repoId}/_sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"repo": {
"id": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"provisionedAt": "2023-11-07T05:31:56Z",
"latestScan": {
"id": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"exitCode": "<string>",
"hasLogs": true,
"isManagedScanPlaceholder": true
},
"deploymentId": "<string>",
"url": "<string>",
"ignoredFiles": [
"<string>"
],
"productIgnoredFiles": {
"sast": [
"<string>"
],
"sca": [
"<string>"
],
"secrets": [
"<string>"
]
},
"firstScanId": "<string>",
"isArchived": true,
"isDisconnected": true,
"hasCodeAccess": true,
"managedScans": {
"diffScan": true,
"numConfigs": 123,
"fullScan": true
},
"isSetup": true,
"scmLastSyncedAt": 123,
"provider": "PROVIDER_GITHUB",
"defaultBranch": "<string>",
"refs": [
{
"repoRefId": "<string>",
"ref": "<string>",
"isDefault": true,
"isPrimary": true
}
],
"primaryRef": {
"id": "<string>",
"ref": "<string>",
"isOverride": true
},
"defaultRef": {
"id": "<string>",
"ref": "<string>"
},
"lastScannedRef": {
"id": "<string>",
"ref": "<string>"
},
"latestFullScaScanParserErrors": {
"errors": [
{
"location": {
"path": "<string>",
"startLine": "<string>",
"startCol": "<string>",
"endLine": "<string>",
"endCol": "<string>",
"url": "<string>",
"committedAt": "2023-11-07T05:31:56Z"
},
"reason": "<string>",
"parser": "<string>",
"text": "<string>"
}
]
},
"latestFullScaScanAt": "2023-11-07T05:31:56Z",
"scaInfo": {
"dependencyCounts": {}
},
"linkedRepos": [
"<string>"
],
"repositoryScmLinkId": "<string>",
"tokenScopes": {
"readMetadata": true,
"readPullRequest": true,
"writePullRequestComment": true,
"readContents": true,
"readMembers": true,
"manageWebhooks": true,
"writeContents": true,
"writePullRequest": true
},
"cloudContext": {
"id": "<string>",
"cnappInstallationId": "<string>",
"cnappInstallationBaseUrl": "<string>",
"isDeployed": true,
"publicExposure": true,
"lastSuccessfulIngestionCompletedAt": "2023-11-07T05:31:56Z"
},
"aiScans": {
"fullScan": true
},
"isScmArchived": true,
"isSemgrepArchived": true,
"archivedAt": "2023-11-07T05:31:56Z"
}
}Projects
Sync Project to SCM
Schedules a job to sync a project with its SCM.
POST
/
api
/
agent
/
deployments
/
{deploymentId}
/
repos
/
{repoId}
/
_sync
Sync Project to SCM
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Response
202 - application/json
Accepted
Show child attributes
Show child attributes
Was this page helpful?
⌘I